> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/5-dokumenty-i-zaloczniki/generator-dokumentow-documentgenerator/tworzenie-listy-wygenerowanych-dokumentow.md).

# Creating a list of generated documents

A link can be created to the generated document, e.g.:

* *on the form - using the component **Document List** and **Document Generator***\
  In the component settings **Document Generator**. The component itself **Document List** must listen for this **Document Generator** and retrieve the value from it via **valueSourceId**.
* *on the form - using only **Document List***\
  In the form's XML, an entry with the definition of the document generator should be added, where:
  * document\_name.pdf — any name under which the user will receive the generated document
  * template\_name.xsl-\* — the name and version of the XSL template located in the template repository

{% code title="Example configuration of DocumentGenerator in the form source" %}

```xml
<x1:DocumentGenerator>
  <x1:Item generatorName="fop" fileName="nazwa_dokumentu.pdf" documentTemplate="nazwa_szablonu_wydruku.xsl-*">
  </x1:Item>
  <x1:Item generatorName="fop" fileName="nazwa_kolejnego_dokumentu.pdf" documentTemplate="nazwa_szablonu_wydruku_kolejnego_dokumentu.xsl-*">
  </x1:Item>
</x1:DocumentGenerator>
```

{% endcode %}

* *on the form - using the artifact to present the link* [*Content (TextContent)*](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-textcontent.md)\
  (Availability of the functionality depends on the license and may not be available in all deployments.)\
  In the text content artifact, we provide a link to the document located in **Document Generator**. In the resourceId = GesDocumentGenerator1-0 parameter, in addition to the component ID, we provide **Document Generator** the consecutive number of the PDF document, where 0 means the first document in items, 1 — the second document on the list, etc.

  Additionally:

  * text content must listen for the added to the artifact containing **Text Content** sessionToken session variable;
  * sample links in the text content:
    * {hyperlink:files?resourceType=session\&sessionToken=${formInstanceNumber}\&resourceId=GesDocumentGenerator1-0}Information Form{hyperlink}
    * {hyperlink:files?resourceType=session\&sessionToken=${formInstanceNumber}\&resourceId=GesDocumentGenerator1-1}Loan Application{hyperlink}
* *in the sidebar*\
  (Availability of the functionality depends on the license and may not be available in all deployments.)\
  In this case, you need to:

  * option in the **Properties** the form in the section **Side and bottom panel** add **Content** (TextContent) containing the content to be displayed in the sidebar with a link to the document, e.g.:

  ![Illustration 1. "Contents" (text contents) added to the so-called sidebar](/files/ce2906bf48d85021bbec47c1d9257a7847dc0351)

  * option in the **Properties** the form in the section **Dependencies** provide the names of the XSL templates that create the PDF. Since in **Dependencies** only Contents can be selected, we add these dependencies in the form's XML source.

{% hint style="warning" %}
Note! If on the form or in a composite component we use printouts, their names should always be added to **Dependencies** the form (tab **Properties** / Section **General** / Subsection **Dependencies**).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/5-dokumenty-i-zaloczniki/generator-dokumentow-documentgenerator/tworzenie-listy-wygenerowanych-dokumentow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
